# PLibraryProcess Class Reference

Class for a process that is a dynamically loaded library. More...

`#include <pprocess.h>`

Inheritance diagram for PLibraryProcess:

List of all members.

## Public Member Functions

virtual void | Main ()
| < Dummy Main() as libraries do not have one.
Construction
| PLibraryProcess (const char *manuf="", const char *name="", WORD majorVersionNum=1, WORD minorVersionNum=0, CodeStatus statusCode=ReleaseCode, WORD buildNum=1)
| Create a new process instance.

## Detailed Description

Class for a process that is a dynamically loaded library.

## Constructor & Destructor Documentation

PLibraryProcess::PLibraryProcess | ( | const char * | manuf = `""`,
|  | const char * | name = `""`,
|  | WORD | majorVersionNum = `1`,
|  | WORD | minorVersionNum = `0`,
|  | CodeStatus | statusCode = `ReleaseCode`,
|  | WORD | buildNum = `1` |
| ) |  |  | `[inline]`

Create a new process instance.

Parameters:

  manuf | Name of manufacturer
  name | Name of product
  majorVersionNum | Major version number of the product
  minorVersionNum | Minor version number of the product
  statusCode | Development status of the product
  buildNum | Build number of the product

## Member Function Documentation

virtual void PLibraryProcess::Main | ( |  | ) | `[inline, virtual]`

< Dummy Main() as libraries do not have one.

Implements PThread.

The documentation for this class was generated from the following file:

- pprocess.h